EDIT - bug #9351

Include new locations for cdmlib-print and cdmlib-remote in jenkins release script
12/08/2020 08:37 AM - Andreas Miiller
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.20

Severity: blocker Found in Version:

Description

cdmlib-print and cdmlib-remote are now only available in taxeditor.printpublisher.

Therefore the according links to the libraries are now located in the printpublisher Manifest. MF and build.properties, not in
taxeditor.cdmlib anymore.

The release scripts need to be adapted accordingly.

This is critical because the provision job for taxeditor does not work otherwise.

Related issues:

Related to EDIT - feature request #9204: Update cdmlib and taxeditor dependen... Closed
Follows EDIT - task #9208: Move cdmlib-print and cdmib-remote to taxeditor.pr... Closed
Copied from EDIT - task #9359: Update cdmlib, taxeditor, cdmserver etc. depen... Closed

Associated revisions

Revision 76af2015 - 01/28/2021 10:07 PM - Andreas Miiller

ref #9351 fix cdmlib-print and -remote version in TaxEditor master

Revision bb3bba46 - 01/29/2021 11:06 AM - Andreas Miiller

ref #9351 fix cdmlib-print and -remote version in TaxEditor develop

History

#1 - 12/08/2020 08:37 AM - Andreas Miiller
- Related to feature request #9204: Update cdmlib and taxeditor dependencies added

#2 - 12/18/2020 11:14 PM - Andreas Miiller

- Due date set to 08/26/2020

- Start date changed from 12/08/2020 to 08/26/2020

- Follows task #9208: Move cdmlib-print and cdmib-remote to taxeditor.printpublisher added

#3 - 12/18/2020 11:14 PM - Andreas Miiller
- Due date deleted (08/26/2020)

#4 - 12/18/2020 11:21 PM - Andreas Miuller
- Copied from task #9359: Update cdmlib, taxeditor, cdmserver etc. dependencies added

#5 - 01/27/2021 03:19 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#6 - 01/29/2021 11:43 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

This ticket is unclear to me what is meant with "jenkins release script"?

04/09/2024 1/3




| checked server-scripts/jenkins-ci/taxeditor/ and could not find anything related.
So this must refer to the jenkins jobs directly but none of these configfiles contains any line with "SNAPSHOT" or "print":

./taxeditor-SA-JRE-INTEGRATION/config.xml
./taxeditor-SITE-DEPLOY/config.xml
./taxeditor-INTEGRATION/config.xml
./taxeditor-SA-INTEGRATION/config.xml
./taxeditor-PROVISION/config.xml
./taxeditor-SNAPSHOT/config.xml
./taxeditor-JRE-INTEGRATION/config.xml
./taxeditor-RLS-FINISH/config.xml
./taxeditor-HFX-START/config.xml
./taxeditor—-JRE-SNAPSHOT/config.xml
./taxeditor-RLS-START/config.xml
./taxeditor-parent-SITE-DEPLOY/config.xml
./taxeditor-HFX-FINISH/config.xml

Are you 100% sure that there is anything that need to be changed in jenkins?

#7 - 01/29/2021 11:47 AM - Andreas Miiller
- Status changed from Feedback to In Progress

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Please refer to my commits above. This changing of the version in eu.etaxonomy.taxeditor.printpublisher/META-INF/MANIFEST.MF and
eu.etaxonomy.taxeditor.printpublisher/build.properties similar to what we do in poms.

#8 - 01/29/2021 12:22 PM - Andreas Miiller

Anderung ist: cdmlib-remote und cdmlib-print waren bislang dependencies von taxeditor.cdmlib. Jetzt sind es nur noch dependencies von
taxeditor.printpublisher. Daher missen jetzt die ManifestMF und die build.properties von taxeditor.printpublisher geupdated werden, genauso wie
auch die ManifestMF und build.properties in taxeditor.cdmlib geupdated werden. Letzteres funktioniert auch weiterhin, aber eben nicht fir remote und
print da diese jetzt eben nur in der ManifestMF und build.properties von printpublisher stehen.

#9 - 01/29/2021 12:43 PM - Andreas Kohlbecker

the following lines in server-scripts/jenkins-ci/taxeditor/repo-update-git.sh need to be adapted, so that the "ManifestMF und die build.properties von
taxeditor.printpublisher geupdated werden":

#update the cdmlib.version (and taxeditor.version) values in the parent pom.xml to $cdmlib_version
if [ -n "${cdmlib_version}" ]; then

$_my_path/taxedUpdateConfig.pl $cdmlib_version

#update cdmlib jars

cd $SWORKSPACE/eu.etaxonomy.taxeditor.cdmlib

#update MANIFEST.MF, classpath and build files to keep eclipse environment consistent

sed -i "s/\(lib\/cdmlib\-.*-\) [[:digit:]I\+\.[[:digit:]I\+\.[[:digit:]1]1\+\ (-=SNAPSHOT\)\?\ (\ (-sources\)\?2\.
jar\) /\1$cdmlib_version\3/g" ./META-INF/MANIFEST.MF

# no longer needed since #4227 is completed:

# sed -i "s/\(lib\/cdmlib\-.*-\) [[:digit:]JI\+\.[[:digit:]I\+\.[[:digit:]1]\+\ (-SNAPSHOT\)\?\ (\.jar\)/\1Scdm
lib_version\3/g;s/\ (1ib\/cdmlib\-.*=\) [[:digit:]I\+\. [[:digit:]1]\+\.[[:digit:]]\+\ (-SNAPSHOT\)\?\ (-sources\. ja
r\) /\1$cdmlib_version\3/g" ./.classpath

sed -i "s/\(lib\/cdmlib\-.*-\) [[:digit:]JI\+\.[[:digit:]I\+\.[[:digit:]1]\+\ (-SNAPSHOT\)\?\ (\ (-sources\)\?2\.
jar\) /\1$cdmlib_version\3/g" ./build.properties

fi

1. create a function for that!
2. make a dry run to test the script

#10 - 02/08/2021 01:57 PM - Andreas Kohlbecker

- Target version changed from Release 5.21 to Release 5.20

#11 - 02/08/2021 02:59 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

fixed in server-scripts:
svn ci -m "ref #9351 support for setting version in multiple projects & fixing some problems"
_J

Sending repo-update—-git.sh
Transmitting file data .done
Committing transaction...
Committed revision 29014.
